ARG BASE_CONTAINER=betalupi/jupyter-base
FROM $BASE_CONTAINER
LABEL maintainer="Mark <mark@betalupi.com>"

USER $NB_UID

RUN mamba install --yes \
		## Jupyter extensions
		"jupyter_server>=2.0.0" \
		## Python packages
		# Scraping
		"beautifulsoup4" \
		"requests" \
		"schedule" \
		# Misc
		"altair" \
		"bokeh" \
		"bottleneck" \
		"cloudpickle" \
		"conda-forge::blas=*=openblas" \
		"cython" \
		"dask" \
		"dill" \
		"h5py" \
		"ipympl" \
		"ipywidgets" \
		"matplotlib-base" \
		"numba" \
		"numpy" \
		"numexpr" \
		"pandas" \
		"patsy" \
		"protobuf" \
		"pytables" \
		"scikit-image" \
		"scikit-learn" \
		"scipy" \
		"seaborn" \
		"sqlalchemy" \
		"statsmodels" \
		"sympy" \
		"widgetsnbextension" \
		"xlrd" \
		"tensorflow" \
		"pytest" \
		"ipython" \
	&& \
	# Cleanup
	mamba clean --all -f -y && \
	npm cache clean --force && \
	jupyter lab clean && \
	rm -rf "/home/${NB_USER}/.cache/yarn" && \
	fix-permissions "${CONDA_DIR}" && \
	fix-permissions "/home/${NB_USER}"

# Import matplotlib the first time to build the font cache.
ENV XDG_CACHE_HOME="/home/${NB_USER}/.cache/"
RUN MPLBACKEND=Agg python -c "import matplotlib.pyplot" && \
	fix-permissions "/home/${NB_USER}"



#FROM pymodules as selenium
#USER ${NB_UID}
#
#RUN mamba install --yes \
#		"selenium" \
#	&& \
#	# Cleanup
#	mamba clean --all -f -y && \
#	npm cache clean --force && \
#	jupyter lab clean && \
#	rm -rf "/home/${NB_USER}/.cache/yarn" && \
#	fix-permissions "${CONDA_DIR}" && \
#	fix-permissions "/home/${NB_USER}"
#
## Install google chrome
#RUN wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | apt-key add -
#RUN sh -c 'echo "deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main" >> /etc/apt/#sources.list.d/google-chrome.list'
#RUN apt-get -y update
#RUN apt-get install -y google-chrome-stable
#
## Install chromedriver
#RUN apt-get install -yqq unzip
#RUN wget -O /tmp/chromedriver.zip http://chromedriver.storage.googleapis.com/`curl -sS #chromedriver.storage.googleapis.com/LATEST_RELEASE`/chromedriver_linux64.zip
#RUN unzip /tmp/chromedriver.zip chromedriver -d /usr/local/bin/